#ifndef __COLOR_H
#define __COLOR_H

#include <SDL.h>
#include <SDL_opengl.h>
#include <iostream>
#include <string>

namespace segl {

class Color {
	public:
		float r, g, b, a;
		bool setalpha;
		
		
		Color();
		Color(float _r, float _g, float _b, float _a=1.0f);
		Color(const SDL_Color&);
		
		void set(float _r, float _g, float _b, float _a=1.0f);
		SDL_Color getSDLColor();
		void print(std::string m="");
};

} // namespace segl

void glColorGLC(segl::Color c);
// a) setalpha entscheiden lassen
// b) zwei funktionen, eine setzt alpha mit in richtung 3f, 4f..

#endif
